Bug 9833 - Function called in unix_convert() path can overwrite errno.
Function called in unix_convert() path can overwrite errno.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-29 23:45 UTC by Jeremy Allison
Modified: 2013-05-08 19:29 UTC (History)
0 users

See Also:


Attachments
git-am fix for master and 4.0.next. (1.53 KB, patch)
2013-04-29 23:48 UTC, Jeremy Allison
no flags Details
Patch with cherry-pick info (1.76 KB, patch)
2013-04-30 09:12 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-04-29 23:45:13 UTC
Found (and fixed) by Anand Avati <avati@redhat.com> whilst writing his GlusterFS VFS modules.

unix_convert() depends on errno not being modified by called functions in some code paths.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-04-29 23:48:53 UTC
Created attachment 8831 [details]
git-am fix for master and 4.0.next.
Comment 2 Volker Lendecke 2013-04-30 09:12:24 UTC
Created attachment 8833 [details]
Patch with cherry-pick info

Patch with cherry-pick info
Comment 3 Jeremy Allison 2013-04-30 18:10:39 UTC
Comment on attachment 8833 [details]
Patch with cherry-pick info

LGTM.
Comment 4 Jeremy Allison 2013-04-30 18:11:00 UTC
Re-assigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 5 Karolin Seeger 2013-05-06 19:20:11 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-05-08 19:29:33 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!